Bug 728335 - Failed to close result sets that should have been closed yourself.
Summary: Failed to close result sets that should have been closed yourself.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server
Version: 4.1
Hardware: Unspecified
OS: Unspecified
medium
unspecified vote
Target Milestone: ---
: ---
Assignee: Robert Buck
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 18:20 UTC by Robert Buck
Modified: 2012-02-07 19:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-07 19:29:50 UTC


Attachments (Terms of Use)

Description Robert Buck 2011-08-04 18:20:13 UTC
When running performance testing in the perf environment we saw 18 of these. This is while in the environment the product and/or database is in a VERY bad state performance wise.

2011-08-04 14:07:56,799 WARN  [org.jboss.resource.adapter.jdbc.WrappedConnection] Closing a result set you left open! Please close it yourself.
java.lang.Throwable: STACKTRACE
        at org.jboss.resource.adapter.jdbc.WrappedStatement.registerResultSet(WrappedStatement.java:909)
        at org.jboss.resource.adapter.jdbc.WrappedPreparedStatement.executeQuery(WrappedPreparedStatement.java:343)
        at org.rhq.enterprise.server.measurement.MeasurementScheduleManagerBean.returnSchedulesFor(MeasurementScheduleManagerBean.java:984)

Comment 1 Charles Crouch 2011-08-11 04:03:37 UTC
Mike, can you reproduce this?

Comment 2 Robert Buck 2011-10-07 15:07:53 UTC
I previously fixed this. We should do another coverity run monday. But lets close this one out and reopen new bugs after the new coverity runs.

commit fece00f1862612104aef1439fb02c4f7a35d797e
Author: Robert Buck <rbuck@redhat.com>
Date:   2011-09-26 08:54:05 -0400

Oracle em cites lots of open cursor issues; fix open cursor leaks by closing result sets and prepared statements in finally blocks.

Comment 3 Mike Foley 2012-02-07 19:29:50 UTC
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Comment 4 Mike Foley 2012-02-07 19:30:24 UTC
marking VERIFIED BZs to CLOSED/CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.